summaryrefslogtreecommitdiffstats
path: root/yasm
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2008-06-16 10:02:22 +0000
committer Eric Hameleers <alien@slackware.com>2008-06-16 10:02:22 +0000
commitc43d48a3079929e065dd610bfa9d1dc85bddf4d5 (patch)
tree04cedca74c9ef362e409b33385d76606685f564d /yasm
parent8fe1300ae417f147a7194f02b7fcdcb0e3dd2c35 (diff)
downloadasb-c43d48a3079929e065dd610bfa9d1dc85bddf4d5.tar.gz
asb-c43d48a3079929e065dd610bfa9d1dc85bddf4d5.tar.xz
No info files. Make sure empty 'share' directory is removed
Diffstat (limited to 'yasm')
-rwxr-xr-xyasm/build/yasm.SlackBuild9
1 files changed, 3 insertions, 6 deletions
diff --git a/yasm/build/yasm.SlackBuild b/yasm/build/yasm.SlackBuild
index b8567235..7042623b 100755
--- a/yasm/build/yasm.SlackBuild
+++ b/yasm/build/yasm.SlackBuild
@@ -186,18 +186,15 @@ cp -a $SRCDIR/$(basename $0) $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
chown -R root:root $PKG/usr/doc/$PRGNAM-$VERSION
find $PKG/usr/doc -type f -exec chmod 644 {} \;
+# Remove empty share directory:
+rmdir $PKG/usr/share || true
+
# Compress the man page(s):
if [ -d $PKG/usr/man ]; then
find $PKG/usr/man -type f -name "*.?" -exec gzip -9f {} \;
for i in $(find $PKG/usr/man -type l -name "*.?") ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
fi
-# Compress info pages and remove the package's dir file:
-if [ -d $PKG/usr/info ]; then
- rm -rf $PKG/usr/info/dir
- gzip -9f $PKG/usr/info/*.info*
-fi
-
# Strip binaries:
cd $PKG
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true